/*
 *  Copyright (C) 2007 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

/**
 * SECTION:kiba-separator
 * @short_description: Separator object on #KibaDock.
 * @see_also:#KibaWin,#KibaDock
 *
 * Separator object on #KibaDock.
 */

#ifndef __KIBA_SEPARATOR_H__
#define __KIBA_SEPARATOR_H__

#include <glib.h>

G_BEGIN_DECLS

typedef struct _KibaSeparator         KibaSeparator;
typedef struct _KibaSeparatorClass    KibaSeparatorClass;

#define KIBA_TYPE_SEPARATOR           (kiba_separator_get_type ())
#define KIBA_SEPARATOR(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), KIBA_TYPE_SEPARATOR, KibaSeparator))
#define KIBA_SEPARATOR_CLASS(obj)     (G_TYPE_CHECK_CLASS_CAST ((obj), KIBA_SEPARATOR,  KibaSeparatorClass))
#define KIBA_IS_SEPARATOR(obj)        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), KIBA_TYPE_SEPARATOR))
#define KIBA_IS_SEPARATOR_CLASS(obj)  (G_TYPE_CHECK_CLASS_TYPE ((obj), KIBA_TYPE_SEPARATOR))
#define KIBA_SEPARATOR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), KIBA_TYPE_SEPARATOR, KibaSeparatorClass))

GtkWidget* kiba_separator_new (const gchar *object_id);

G_END_DECLS

#endif
